Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Macros | Typedefs | Enumerations | Functions | Variables
atom_priv.h File Reference
`#include "hdf_priv.h"`
`#include "hdf.h"`

## Macros
#define | HAIswap_cache(i, j)
#define | HAatom_object(atm)

## Typedefs
typedef int32 | atom_t
typedef int(* | HAsearch_func_t) (const void *obj, const void *key)

## Enumerations
enum | group_t { BADGROUP = (-1) , DDGROUP = 0 , AIDGROUP = 1 , FIDGROUP = 2 , VGIDGROUP = 3 , VSIDGROUP = 4 , GRIDGROUP = 5 , RIIDGROUP = 6 , BITIDGROUP = 7 , ANIDGROUP = 8 , MAXGROUP }

## Functions
int | HAinit_group (group_t grp, int hash_size)
int | HAdestroy_group (group_t grp)
atom_t | HAregister_atom (group_t grp, void *object)
void * | HAPatom_object (atom_t atm)
group_t | HAatom_group (atom_t atm)
void * | HAremove_atom (atom_t atm)
void * | HAsearch_atom (group_t grp, HAsearch_func_t func, const void *key)
int | HAshutdown (void)

## Variables
atom_t | atom_id_cache []
void * | atom_obj_cache []

## Macro Definition Documentation

## ◆ HAatom_object

#define HAatom_object | ( |  | atm | ) |

Value:
(atom_id_cache[0] == atm ? atom_obj_cache[0] \
: atom_id_cache[1] == atm ? (HAIswap_cache(0, 1), atom_obj_cache[0]) \
: atom_id_cache[2] == atm ? (HAIswap_cache(1, 2), atom_obj_cache[1]) \
: atom_id_cache[3] == atm ? (HAIswap_cache(2, 3), atom_obj_cache[2]) \
: HAPatom_object(atm))
atom_id_cache
atom_t atom_id_cache[]
HAIswap_cache
#define HAIswap_cache(i, j)
Definition atom_priv.h:25
HAPatom_object
void * HAPatom_object(atom_t atm)
atom_obj_cache
void * atom_obj_cache[]

## ◆ HAIswap_cache

#define HAIswap_cache | ( |  | i,
|  |  | j )

Value:
atom_id_cache[i] ^= atom_id_cache[j], \
atom_obj_cache[i] = (void *)((hdf_pint_t)atom_obj_cache[j] ^ (hdf_pint_t)atom_obj_cache[i]), \
atom_id_cache[j] ^= atom_id_cache[i], \
atom_obj_cache[j] = (void *)((hdf_pint_t)atom_obj_cache[i] ^ (hdf_pint_t)atom_obj_cache[j]), \
atom_id_cache[i] ^= atom_id_cache[j], \
atom_obj_cache[i] = (void *)((hdf_pint_t)atom_obj_cache[i] ^ (hdf_pint_t)atom_obj_cache[j])
hdf_pint_t
intptr_t hdf_pint_t
Definition hdf_priv.h:134

## Typedef Documentation

## ◆ atom_t

typedef int32 atom_t

## ◆ HAsearch_func_t

typedef int(* HAsearch_func_t) (const void *obj, const void *key)

## Enumeration Type Documentation

## ◆ group_t

enum group_t

Enumerator
BADGROUP |
DDGROUP |
AIDGROUP |
FIDGROUP |
VGIDGROUP |
VSIDGROUP |
GRIDGROUP |
RIIDGROUP |
BITIDGROUP |
ANIDGROUP |
MAXGROUP |

## Function Documentation

## ◆ HAatom_group()

group_t HAatom_group | ( | atom_t | atm | ) |
| extern

## ◆ HAdestroy_group()

int HAdestroy_group | ( | group_t | grp | ) |
| extern

## ◆ HAinit_group()

int HAinit_group | ( | group_t | grp,
|  | int | hash_size )
| extern

## ◆ HAPatom_object()

void * HAPatom_object | ( | atom_t | atm | ) |
| extern

## ◆ HAregister_atom()

atom_t HAregister_atom | ( | group_t | grp,
|  | void * | object )
| extern

## ◆ HAremove_atom()

void * HAremove_atom | ( | atom_t | atm | ) |
| extern

## ◆ HAsearch_atom()

void * HAsearch_atom | ( | group_t | grp,
|  | HAsearch_func_t | func,
|  | const void * | key )
| extern

## ◆ HAshutdown()

int HAshutdown | ( | void |  | ) |
| extern

## Variable Documentation

## ◆ atom_id_cache

atom_t atom_id_cache[]
| extern

## ◆ atom_obj_cache

void* atom_obj_cache[]
| extern